Chapter 11. APIs
You can access APIs for the multicluster engine for Kubernetes operator for cluster lifecycle management. User required access: You can only perform actions that your role is assigned. For more information, review the API documentation for each of the following resources:
11.1. Clusters API Copy linkLink copied to clipboard!
11.1.1. Overview Copy linkLink copied to clipboard!
This documentation is for the cluster resource for multicluster engine for Kubernetes. Cluster resource has four possible requests: create, query, delete and update.
11.1.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.1.1.2. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io : Create and manage clusters
11.1.2. Paths Copy linkLink copied to clipboard!
11.1.2.1. Query all clusters Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1/managedclusters
GET /cluster.open-cluster-management.io/v1/managedclusters
11.1.2.1.1. Description Copy linkLink copied to clipboard!
Query your clusters for more details.
11.1.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
11.1.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.1.2.1.4. Consumes Copy linkLink copied to clipboard!
-
cluster/yaml
11.1.2.1.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.1.2.2. Create a cluster Copy linkLink copied to clipboard!
POST /cluster.open-cluster-management.io/v1/managedclusters
POST /cluster.open-cluster-management.io/v1/managedclusters
11.1.2.2.1. Description Copy linkLink copied to clipboard!
Create a cluster
11.1.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the cluster to be created. |
11.1.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.1.2.2.4. Consumes Copy linkLink copied to clipboard!
-
cluster/yaml
11.1.2.2.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.1.2.2.6. Example HTTP request Copy linkLink copied to clipboard!
11.1.2.2.6.1. Request body Copy linkLink copied to clipboard!
11.1.2.3. Query a single cluster Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
GET /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
11.1.2.3.1. Description Copy linkLink copied to clipboard!
Query a single cluster for more details.
11.1.2.3.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
cluster_name | Name of the cluster that you want to query. | string |
11.1.2.3.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.1.2.3.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.1.2.4. Delete a cluster Copy linkLink copied to clipboard!
DELETE /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
DELETE /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
11.1.2.4.1. Description Copy linkLink copied to clipboard!
Delete a single cluster
11.1.2.4.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
cluster_name | Name of the cluster that you want to delete. | string |
11.1.2.4.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.1.2.4.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.1.3. Definitions Copy linkLink copied to clipboard!
11.1.3.1. Cluster Copy linkLink copied to clipboard!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| Name | Schema |
|---|---|
|
hubAcceptsClient | bool |
|
managedClusterClientConfigs | < managedClusterClientConfigs > array |
|
leaseDurationSeconds | integer (int32) |
managedClusterClientConfigs
| Name | Description | Schema |
|---|---|---|
|
URL | string | |
|
CABundle |
Pattern : | string (byte) |
11.2. Clustersets API (v1alpha1) Copy linkLink copied to clipboard!
11.2.1. Overview Copy linkLink copied to clipboard!
This documentation is for the Clusterset resource for multicluster engine for Kubernetes. Clusterset resource has four possible requests: create, query, delete and update.
11.2.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.2.1.2. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io : Create and manage Clustersets
11.2.2. Paths Copy linkLink copied to clipboard!
11.2.2.1. Query all clustersets Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1beta1/managedclustersets
GET /cluster.open-cluster-management.io/v1beta1/managedclustersets
11.2.2.1.1. Description Copy linkLink copied to clipboard!
Query your Clustersets for more details.
11.2.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
11.2.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.2.2.1.4. Consumes Copy linkLink copied to clipboard!
-
clusterset/yaml
11.2.2.1.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.2.2.2. Create a clusterset Copy linkLink copied to clipboard!
POST /cluster.open-cluster-management.io/v1beta1/managedclustersets
POST /cluster.open-cluster-management.io/v1beta1/managedclustersets
11.2.2.2.1. Description Copy linkLink copied to clipboard!
Create a Clusterset.
11.2.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the clusterset to be created. |
11.2.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.2.2.2.4. Consumes Copy linkLink copied to clipboard!
-
clusterset/yaml
11.2.2.2.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.2.2.2.6. Example HTTP request Copy linkLink copied to clipboard!
11.2.2.2.6.1. Request body Copy linkLink copied to clipboard!
11.2.2.3. Query a single clusterset Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1beta1/managedclustersets/{clusterset_name}
GET /cluster.open-cluster-management.io/v1beta1/managedclustersets/{clusterset_name}
11.2.2.3.1. Description Copy linkLink copied to clipboard!
Query a single clusterset for more details.
11.2.2.3.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
clusterset_name | Name of the clusterset that you want to query. | string |
11.2.2.3.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.2.2.3.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.2.2.4. Delete a clusterset Copy linkLink copied to clipboard!
DELETE /cluster.open-cluster-management.io/v1beta1/managedclustersets/{clusterset_name}
DELETE /cluster.open-cluster-management.io/v1beta1/managedclustersets/{clusterset_name}
11.2.2.4.1. Description Copy linkLink copied to clipboard!
Delete a single clusterset.
11.2.2.4.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
clusterset_name | Name of the clusterset that you want to delete. | string |
11.2.2.4.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.2.2.4.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.2.3. Definitions Copy linkLink copied to clipboard!
11.2.3.1. Clusterset Copy linkLink copied to clipboard!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
11.3. Clusterview API (v1alpha1) Copy linkLink copied to clipboard!
11.3.1. Overview Copy linkLink copied to clipboard!
This documentation is for the clusterview resource for multicluster engine for Kubernetes. The clusterview resource provides a CLI command that enables you to view a list of the managed clusters and managed cluster sets that that you can access. The three possible requests are: list, get, and watch.
11.3.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.3.1.2. Tags Copy linkLink copied to clipboard!
- clusterview.open-cluster-management.io : View a list of managed clusters that your ID can access.
11.3.2. Paths Copy linkLink copied to clipboard!
11.3.2.1. Get managed clusters Copy linkLink copied to clipboard!
GET /managedclusters.clusterview.open-cluster-management.io
GET /managedclusters.clusterview.open-cluster-management.io
11.3.2.1.1. Description Copy linkLink copied to clipboard!
View a list of the managed clusters that you can access.
11.3.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
11.3.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.3.2.1.4. Consumes Copy linkLink copied to clipboard!
-
managedcluster/yaml
11.3.2.1.5. Tags Copy linkLink copied to clipboard!
- clusterview.open-cluster-management.io
11.3.2.2. List managed clusters Copy linkLink copied to clipboard!
LIST /managedclusters.clusterview.open-cluster-management.io
LIST /managedclusters.clusterview.open-cluster-management.io
11.3.2.2.1. Description Copy linkLink copied to clipboard!
View a list of the managed clusters that you can access.
11.3.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Name of the user ID for which you want to list the managed clusters. | string |
11.3.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.3.2.2.4. Consumes Copy linkLink copied to clipboard!
-
managedcluster/yaml
11.3.2.2.5. Tags Copy linkLink copied to clipboard!
- clusterview.open-cluster-management.io
11.3.2.2.6. Example HTTP request Copy linkLink copied to clipboard!
11.3.2.2.6.1. Request body Copy linkLink copied to clipboard!
11.3.2.3. Watch the managed cluster sets Copy linkLink copied to clipboard!
WATCH /managedclusters.clusterview.open-cluster-management.io
WATCH /managedclusters.clusterview.open-cluster-management.io
11.3.2.3.1. Description Copy linkLink copied to clipboard!
Watch the managed clusters that you can access.
11.3.2.3.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
clusterview_name | Name of the user ID that you want to watch. | string |
11.3.2.3.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.3.2.4. List the managed cluster sets. Copy linkLink copied to clipboard!
GET /managedclustersets.clusterview.open-cluster-management.io
GET /managedclustersets.clusterview.open-cluster-management.io
11.3.2.4.1. Description Copy linkLink copied to clipboard!
List the managed clusters that you can access.
11.3.2.4.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
clusterview_name | Name of the user ID that you want to watch. | string |
11.3.2.4.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.3.2.5. List the managed cluster sets. Copy linkLink copied to clipboard!
LIST /managedclustersets.clusterview.open-cluster-management.io
LIST /managedclustersets.clusterview.open-cluster-management.io
11.3.2.5.1. Description Copy linkLink copied to clipboard!
List the managed clusters that you can access.
11.3.2.5.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
clusterview_name | Name of the user ID that you want to watch. | string |
11.3.2.5.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.3.2.6. Watch the managed cluster sets. Copy linkLink copied to clipboard!
WATCH /managedclustersets.clusterview.open-cluster-management.io
WATCH /managedclustersets.clusterview.open-cluster-management.io
11.3.2.6.1. Description Copy linkLink copied to clipboard!
Watch the managed clusters that you can access.
11.3.2.6.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
clusterview_name | Name of the user ID that you want to watch. | string |
11.3.2.6.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.4. Clustersetbindings API (v1alpha1) Copy linkLink copied to clipboard!
11.4.1. Overview Copy linkLink copied to clipboard!
This documentation is for the clustersetbinding resource for multicluster engine for Kubernetes. Clustersetbinding resource has four possible requests: create, query, delete and update.
11.4.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.4.1.2. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io : Create and manage clustersetbindings
11.4.2. Paths Copy linkLink copied to clipboard!
11.4.2.1. Query all clustersetbindings Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedclustersetbindings
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedclustersetbindings
11.4.2.1.1. Description Copy linkLink copied to clipboard!
Query your clustersetbindings for more details.
11.4.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
11.4.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.4.2.1.4. Consumes Copy linkLink copied to clipboard!
-
clustersetbinding/yaml
11.4.2.1.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.4.2.2. Create a clustersetbinding Copy linkLink copied to clipboard!
POST /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedclustersetbindings
POST /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedclustersetbindings
11.4.2.2.1. Description Copy linkLink copied to clipboard!
Create a clustersetbinding.
11.4.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Body |
body | Parameters describing the clustersetbinding to be created. |
11.4.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.4.2.2.4. Consumes Copy linkLink copied to clipboard!
-
clustersetbinding/yaml
11.4.2.2.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.4.2.2.6. Example HTTP request Copy linkLink copied to clipboard!
11.4.2.2.6.1. Request body Copy linkLink copied to clipboard!
11.4.2.3. Query a single clustersetbinding Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedclustersetbindings/{clustersetbinding_name}
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedclustersetbindings/{clustersetbinding_name}
11.4.2.3.1. Description Copy linkLink copied to clipboard!
Query a single clustersetbinding for more details.
11.4.2.3.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Path |
clustersetbinding_name | Name of the clustersetbinding that you want to query. | string |
11.4.2.3.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.4.2.3.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.4.2.4. Delete a clustersetbinding Copy linkLink copied to clipboard!
DELETE /cluster.open-cluster-management.io/v1beta1/managedclustersetbindings/{clustersetbinding_name}
DELETE /cluster.open-cluster-management.io/v1beta1/managedclustersetbindings/{clustersetbinding_name}
11.4.2.4.1. Description Copy linkLink copied to clipboard!
Delete a single clustersetbinding.
11.4.2.4.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
namespace | Namespace that you want to use, for example, default. | string |
| Path |
clustersetbinding_name | Name of the clustersetbinding that you want to delete. | string |
11.4.2.4.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.4.2.4.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.4.3. Definitions Copy linkLink copied to clipboard!
11.4.3.1. Clustersetbinding Copy linkLink copied to clipboard!
| Name | Schema |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| Name | Schema |
|---|---|
|
clusterSet | string |
11.5. API Copy linkLink copied to clipboard!
11.5.1. Overview Copy linkLink copied to clipboard!
This documentation is for the MultiClusterEngine resource for multicluster engine for Kubernetes. The MultiClusterEngine resource has four possible requests: create, query, delete, and update.
11.5.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.5.1.2. Tags Copy linkLink copied to clipboard!
- multiclusterengines.multicluster.openshift.io : Create and manage MultiClusterEngines
11.5.2. Paths Copy linkLink copied to clipboard!
11.5.2.1. Create a MultiClusterEngine Copy linkLink copied to clipboard!
POST /apis/multicluster.openshift.io/v1alpha1/multiclusterengines
POST /apis/multicluster.openshift.io/v1alpha1/multiclusterengines
11.5.2.1.1. Description Copy linkLink copied to clipboard!
Create a MultiClusterEngine.
11.5.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the MultiClusterEngine to be created. | MultiClusterEngine |
11.5.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.5.2.1.4. Consumes Copy linkLink copied to clipboard!
-
MultiClusterEngines/yaml
11.5.2.1.5. Tags Copy linkLink copied to clipboard!
- multiclusterengines.multicluster.openshift.io
11.5.2.1.5.1. Request body Copy linkLink copied to clipboard!
11.5.2.2. Query all MultiClusterEngines Copy linkLink copied to clipboard!
GET /apis/multicluster.openshift.io/v1alpha1/multiclusterengines
GET /apis/multicluster.openshift.io/v1alpha1/multiclusterengines
11.5.2.2.1. Description Copy linkLink copied to clipboard!
Query your multicluster engine for more details.
11.5.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
11.5.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.5.2.2.4. Consumes Copy linkLink copied to clipboard!
-
operator/yaml
11.5.2.2.5. Tags Copy linkLink copied to clipboard!
- multiclusterengines.multicluster.openshift.io
11.5.2.3. Delete a MultiClusterEngine operator Copy linkLink copied to clipboard!
DELETE /apis/multicluster.openshift.io/v1alpha1/multiclusterengines/{name}
DELETE /apis/multicluster.openshift.io/v1alpha1/multiclusterengines/{name}
11.5.2.3.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
name | Name of the multiclusterengine that you want to delete. | string |
11.5.2.3.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.5.2.3.3. Tags Copy linkLink copied to clipboard!
- multiclusterengines.multicluster.openshift.io
11.5.3. Definitions Copy linkLink copied to clipboard!
11.5.3.1. MultiClusterEngine Copy linkLink copied to clipboard!
| Name | Description | Schema |
|---|---|---|
|
apiVersion | The versioned schema of the MultiClusterEngines. | string |
|
kind | String value that represents the REST resource. | string |
|
metadata | Describes rules that define the resource. | object |
|
spec | MultiClusterEngineSpec defines the desired state of MultiClusterEngine. | See List of specs |
11.5.3.2. List of specs Copy linkLink copied to clipboard!
| Name | Description | Schema |
|---|---|---|
|
nodeSelector | Set the nodeselectors. | map[string]string |
|
imagePullSecret | Override pull secret for accessing MultiClusterEngine operand and endpoint images. | string |
|
tolerations | Tolerations causes all components to tolerate any taints. | []corev1.Toleration |
|
targetNamespace | Location where MCE resources will be placed. | string |
11.6. Placements API (v1alpha1) Copy linkLink copied to clipboard!
11.6.1. Overview Copy linkLink copied to clipboard!
This documentation is for the Placement resource for multicluster engine for Kubernetes. Placement resource has four possible requests: create, query, delete and update.
11.6.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.6.1.2. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io : Create and manage Placements
11.6.2. Paths Copy linkLink copied to clipboard!
11.6.2.1. Query all Placements Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements
11.6.2.1.1. Description Copy linkLink copied to clipboard!
Query your Placements for more details.
11.6.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
11.6.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.6.2.1.4. Consumes Copy linkLink copied to clipboard!
-
placement/yaml
11.6.2.1.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.6.2.2. Create a Placement Copy linkLink copied to clipboard!
POST /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements
POST /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements
11.6.2.2.1. Description Copy linkLink copied to clipboard!
Create a Placement.
11.6.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the placement to be created. |
11.6.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.6.2.2.4. Consumes Copy linkLink copied to clipboard!
-
placement/yaml
11.6.2.2.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.6.2.2.6. Example HTTP request Copy linkLink copied to clipboard!
11.6.2.2.6.1. Request body Copy linkLink copied to clipboard!
11.6.2.3. Query a single Placement Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements/{placement_name}
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements/{placement_name}
11.6.2.3.1. Description Copy linkLink copied to clipboard!
Query a single Placement for more details.
11.6.2.3.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
placement_name | Name of the Placement that you want to query. | string |
11.6.2.3.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.6.2.3.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.6.2.4. Delete a Placement Copy linkLink copied to clipboard!
DELETE /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements/{placement_name}
DELETE /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placements/{placement_name}
11.6.2.4.1. Description Copy linkLink copied to clipboard!
Delete a single Placement.
11.6.2.4.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
placement_name | Name of the Placement that you want to delete. | string |
11.6.2.4.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.6.2.4.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.6.3. Definitions Copy linkLink copied to clipboard!
11.6.3.1. Placement Copy linkLink copied to clipboard!
| Name | Description | Schema |
|---|---|---|
|
apiVersion | The versioned schema of the Placement. | string |
|
kind | String value that represents the REST resource. | string |
|
metadata | The meta data of the Placement. | object |
|
spec | The specification of the Placement. |
spec
| Name | Description | Schema |
|---|---|---|
|
ClusterSets | A subset of ManagedClusterSets from which the ManagedClusters are selected. If it is empty, ManagedClusters is selected from the ManagedClusterSets that are bound to the Placement namespace. Otherwise, ManagedClusters are selected from the intersection of this subset and the ManagedClusterSets are bound to the placement namespace. | string array |
|
numberOfClusters | The desired number of ManagedClusters to be selected. | integer (int32) |
|
predicates | A subset of cluster predicates to select ManagedClusters. The conditional logic is OR. | clusterPredicate array |
clusterPredicate
| Name | Description | Schema |
|---|---|---|
|
requiredClusterSelector | A cluster selector to select ManagedClusters with a label and cluster claim. |
clusterSelector
| Name | Description | Schema |
|---|---|---|
|
labelSelector | A selector of ManagedClusters by label. | object |
|
claimSelector | A selector of ManagedClusters by claim. |
clusterClaimSelector
| Name | Description | Schema |
|---|---|---|
|
matchExpressions | A subset of the cluster claim selector requirements. The conditional logic is AND. | < object > array |
11.7. PlacementDecisions API (v1alpha1) Copy linkLink copied to clipboard!
11.7.1. Overview Copy linkLink copied to clipboard!
This documentation is for the PlacementDecision resource for multicluster engine for Kubernetes. PlacementDecision resource has four possible requests: create, query, delete and update.
11.7.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.7.1.2. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io : Create and manage PlacementDecisions.
11.7.2. Paths Copy linkLink copied to clipboard!
11.7.2.1. Query all PlacementDecisions Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions
11.7.2.1.1. Description Copy linkLink copied to clipboard!
Query your PlacementDecisions for more details.
11.7.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
11.7.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.7.2.1.4. Consumes Copy linkLink copied to clipboard!
-
placementdecision/yaml
11.7.2.1.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.7.2.2. Create a PlacementDecision Copy linkLink copied to clipboard!
POST /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions
POST /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions
11.7.2.2.1. Description Copy linkLink copied to clipboard!
Create a PlacementDecision.
11.7.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the PlacementDecision to be created. |
11.7.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.7.2.2.4. Consumes Copy linkLink copied to clipboard!
-
placementdecision/yaml
11.7.2.2.5. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.7.2.2.6. Example HTTP request Copy linkLink copied to clipboard!
11.7.2.2.6.1. Request body Copy linkLink copied to clipboard!
11.7.2.3. Query a single PlacementDecision Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions/{placementdecision_name}
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions/{placementdecision_name}
11.7.2.3.1. Description Copy linkLink copied to clipboard!
Query a single PlacementDecision for more details.
11.7.2.3.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
placementdecision_name | Name of the PlacementDecision that you want to query. | string |
11.7.2.3.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.7.2.3.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.7.2.4. Delete a PlacementDecision Copy linkLink copied to clipboard!
DELETE /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions/{placementdecision_name}
DELETE /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/placementdecisions/{placementdecision_name}
11.7.2.4.1. Description Copy linkLink copied to clipboard!
Delete a single PlacementDecision.
11.7.2.4.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
placementdecision_name | Name of the PlacementDecision that you want to delete. | string |
11.7.2.4.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.7.2.4.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.7.3. Definitions Copy linkLink copied to clipboard!
11.7.3.1. PlacementDecision Copy linkLink copied to clipboard!
| Name | Description | Schema |
|---|---|---|
|
apiVersion | The versioned schema of PlacementDecision. | string |
|
kind | String value that represents the REST resource. | string |
|
metadata | The meta data of PlacementDecision. | object |
11.8. Managed service account (Technology Preview) Copy linkLink copied to clipboard!
11.8.1. Overview Copy linkLink copied to clipboard!
This documentation is for the ManagedServiceAccount resource for the multicluster engine for Kubernetes operator. The ManagedServiceAccount resource has four possible requests: create, query, delete, and update.
11.8.1.1. URI scheme Copy linkLink copied to clipboard!
BasePath : /kubernetes/apis
Schemes : HTTPS
11.8.1.2. Tags Copy linkLink copied to clipboard!
-
managedserviceaccounts.multicluster.openshift.io`: Create and manageManagedServiceAccounts
11.8.2. Paths Copy linkLink copied to clipboard!
11.8.2.1. Create a ManagedServiceAccount Copy linkLink copied to clipboard!
POST /apis/multicluster.openshift.io/v1alpha1/ManagedServiceAccounts
POST /apis/multicluster.openshift.io/v1alpha1/ManagedServiceAccounts
11.8.2.1.1. Description Copy linkLink copied to clipboard!
Create a ManagedServiceAccount.
11.8.2.1.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Body |
body | Parameters describing the ManagedServiceAccount to be created. | ManagedServiceAccount |
11.8.2.1.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.8.2.1.4. Consumes Copy linkLink copied to clipboard!
-
managedserviceaccount/yaml
11.8.2.1.5. Tags Copy linkLink copied to clipboard!
- managedserviceaccount.multicluster.openshift.io
11.8.2.1.5.1. Request body Copy linkLink copied to clipboard!
11.8.2.2. Query a single ManagedServiceAccount Copy linkLink copied to clipboard!
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/managedserviceaccounts/{managedserviceaccount_name}
GET /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/managedserviceaccounts/{managedserviceaccount_name}
11.8.2.2.1. Description Copy linkLink copied to clipboard!
Query a single ManagedServiceAccount for more details.
11.8.2.2.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
managedserviceaccount_name |
Name of the | string |
11.8.2.2.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.8.2.2.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.8.2.3. Delete a ManagedServiceAccount Copy linkLink copied to clipboard!
DELETE /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/managedserviceaccounts/{managedserviceaccount_name}
DELETE /cluster.open-cluster-management.io/v1alpha1/namespaces/{namespace}/managedserviceaccounts/{managedserviceaccount_name}
11.8.2.3.1. Description Copy linkLink copied to clipboard!
Delete a single ManagedServiceAccount.
11.8.2.3.2. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN} ; ACCESS_TOKEN is the user access token. | string |
| Path |
managedserviceaccount_name |
Name of the | string |
11.8.2.3.3. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | No Content |
| 403 | Access forbidden | No Content |
| 404 | Resource not found | No Content |
| 500 | Internal service error | No Content |
| 503 | Service unavailable | No Content |
11.8.2.3.4. Tags Copy linkLink copied to clipboard!
- cluster.open-cluster-management.io
11.8.3. Definitions Copy linkLink copied to clipboard!
11.8.3.1. ManagedServiceAccount Copy linkLink copied to clipboard!
| Name | Description | Schema |
|---|---|---|
|
apiVersion |
The versioned schema of the | string |
|
kind | String value that represents the REST resource. | string |
|
metadata |
The meta data of the | object |
|
spec |
The specification of the |